# Configure Rails Environment
ENV["RAILS_ENV"] = "test"

require File.expand_path("../dummy/config/environment.rb",  __FILE__)
require "rails/test_help"

Rails.backtrace_cleaner.remove_silencers!

# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }

require "capybara/rails"
require "capybara-webkit"
require "timecop"

class ActionDispatch::IntegrationTest
  # Make the Capybara DSL available in all integration tests
  include Capybara::DSL

  fixtures :all

  setup do
    Capybara.current_driver = :webkit
  end

  def current_fullpath
    URI.parse(current_url).request_uri
  end
end